Embeddings

Embeddings endpoints

posthttps://app.meingpt.com/api/openai/v1/embeddings

Create embeddings

Creates an embedding vector representing the input text. Compatible with OpenAI's embeddings API.

🔒 ApiKeyAuth

Parameter

ParameterInTypBeschreibung
Authorization*headerstringAPI key for authentication. Use 'Bearer <your-api-key>' format.

Request Body · application/json

FeldTypBeschreibung
input*string | Array<string> | Array<number> | Array<Array<number>>
modelstringID of the model to use (optional, not used in implementation)
encoding_format"float" | "base64" | "bob"The format to return the embeddings in
dimensionsintegerThe number of dimensions the resulting output embeddings should have
userstringA unique identifier representing your end-user

Responses

200Successful response
FeldTypBeschreibung
objectstring
dataArray<object>
modelstringThe model used to generate the embeddings
usageobject
400Bad request - invalid input
FeldTypBeschreibung
statusstring
messagestring
401Unauthorized - missing or invalid API key
FeldTypBeschreibung
statusstring
messagestring
403Forbidden - completions API not enabled for organization
FeldTypBeschreibung
statusstring
messagestring
500Internal server error
FeldTypBeschreibung
statusstring
messagestring
Was this page helpful?